# Configuration file for Ridgeback
# Custom configuration file for Ridgeback.
# This file is not used in the simulation, but can be extended in the future
# to regenerate the URDF files for ridgeback using the https://github.com/clearpathrobotics/clearpath_simulator 
# repository. Use this file for the robot.yaml in the clearpath directory as suggested in the README.md file.

serial_number: r100-0000
version: 0
system:
  username: ridgeback
  hosts:
    - hostname: cpr-r100-0000
      ip: 192.168.131.1
  ros2:
    namespace: coby
    domain_id: 0
    middleware:
      implementation: rmw_fastrtps_cpp
    workspaces: []
platform:
  controller: ps4
  attachments:
    - name: hams
      type: r100.hams
      table_height: 0.6
      mount_height: 0.3
      parent: default_mount
      xyz: [0.0, 0.0, 0.0]
      rpy: [0.0, 0.0, 0.0]
      enabled: true
sensors:
  lidar2d:
  - model: sick_lms1xx
    urdf_enabled: true
    launch_enabled: true
    parent: chassis_link
    xyz: [0.3922, 0.0, 0.1856]
    rpy: [0.0, 0.0, 0.0]
    ros_parameters:
      lms1xx:
        frame_id: lidar2d_0_laser
        host: 192.168.131.20
        port: 2111
manipulators:
  moveit:
    enable: false
  arms:
    - model: universal_robots
      parent: hams_arm_mount
      xyz: [0.5, 0.0, 0.3]
      rpy: [0.0, 0.0, 0.0]
      ur_type: ur10e
      headless: true